## org.red5.server.tomcat
Class TomcatApplicationLoader

    java.lang.Object
      org.red5.server.tomcat.TomcatApplicationLoader

All Implemented Interfaces:
  IApplicationLoader

    public class TomcatApplicationLoader

extends Object
implements IApplicationLoader

Class that can load new applications in Tomcat.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

Field Summary
`protected static Logger` `log`

Constructor Summary
`protected` `TomcatApplicationLoader(Embedded embedded, Host host, ApplicationContext rootCtx)` Wrap Tomcat engine and host.

Method Summary
`ApplicationContext` `getRootContext()` Return the root `ApplicationContext`.
`void` `loadApplication(String contextPath, String virtualHosts, String directory)` Load a new application for the given context path from a directory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Logger log

Constructor Detail

### TomcatApplicationLoader

    protected TomcatApplicationLoader(Embedded embedded,
                                      Host host,
                                      ApplicationContext rootCtx)

  Wrap Tomcat engine and host.

  Parameters:
    `embedded` -
    `host` -

Method Detail

### getRootContext

    public ApplicationContext getRootContext()

  Return the root `ApplicationContext`.

  Specified by:
    `getRootContext` in interface `IApplicationLoader`
  Returns:
    application context

### loadApplication

    public void loadApplication(String contextPath,
                                String virtualHosts,
                                String directory)
                         throws Exception

  Load a new application for the given context path from a directory.

  Specified by:
    `loadApplication` in interface `IApplicationLoader`
  Parameters:
    `contextPath` - context path
    `virtualHosts` - virtual hosts
    `directory` - directory
  Throws:
    `Exception` - for fun

Copyright © 2006-2010 The Red5 Project